Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrRise Class Reference

A PangoAttrRise C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrRise:

List of all members.

## Public Member Functions

Constructors

- AttrRise (int rise)
    Construct a new baseline displacement attribute.

## Detailed Description

A PangoAttrRise C++ wrapper class.

AttrRise wraps the rise attribute (ATTR_RISE).

## Constructor & Destructor Documentation

Inti::Pango::AttrRise::AttrRise | ( | int | rise | ) | `[explicit]`

  | Construct a new baseline displacement attribute. Parameters:
  rise | The amount that the text should be displaced vertically, in 10'000ths of an em.
Positive rise values displace the text upwards.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer